Package org.eclipse.ecf.remoteservice.client

# Class AbstractClientService.UriRequest

java.lang.Object
org.eclipse.ecf.remoteservice.client.AbstractClientService.UriRequest

Enclosing class:
  AbstractClientService

public static class AbstractClientService.UriRequest extends Object

Since:
  8.5

## Constructor Summary

Constructors
Constructor
Description
`UriRequest(String uri, IRemoteCall call, IRemoteCallable callable)`

## Method Summary

Modifier and Type
Method
Description
`IRemoteCall`
`getRemoteCall()`
`IRemoteCallable`
`getRemoteCallable()`
`String`
`getUri()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UriRequest

public UriRequest(String uri, IRemoteCall call, IRemoteCallable callable)

## Method Details

### getUri

public String getUri()

### getRemoteCall

public IRemoteCall getRemoteCall()

### getRemoteCallable

public IRemoteCallable getRemoteCallable()